## deepin-default-settings 2020.12.18

=== Makefile ===
ARCH=$(shell dpkg --print-architecture)
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
ifeq ($(ARCH)_$(SYSTYPE), amd64_Desktop)
	ORIGIN=false
else ifeq ($(ARCH)_$(SYSTYPE), i386_Desktop)
	ORIGIN=false
else
	ORIGIN=false
endif

all: 

install:
	mkdir -p $(DESTDIR)/usr/share
	mkdir -p $(DESTDIR)/etc/fonts/conf.d
	mkdir -p $(DESTDIR)/etc/apt
	cp -r etc.d/* $(DESTDIR)/etc/
	cp -r usr.share.d/* $(DESTDIR)/usr/share
	if [ $(ORIGIN) = true ]; then install -Dm444 sources.list.origin $(DESTDIR)/etc/apt/sources.list.origin; fi
	install -Dm755 dde-first-run $(DESTDIR)/usr/bin/dde-first-run
	install -Dm644 sysctl.d/90-deepin.conf $(DESTDIR)/usr/lib/sysctl.d/deepin.conf
	install -Dm644 udev.rules.d/99-deepin.rules $(DESTDIR)/lib/udev/rules.d/99-deepin.rules
	for i in `ls $(DESTDIR)/usr/share/fontconfig/conf.avail/ | grep .conf$$`;do \
		ln -sf /usr/share/fontconfig/conf.avail/$${i} $(DESTDIR)/etc/fonts/conf.d/$${i}; \
	done

=== debian/changelog ===
deepin-default-settings (2020.12.18-1) unstable; urgency=medium

  * update

 -- sysdev <sysdev@deepin.com>  Fri, 18 Dec 2020 13:09:36 +0800

deepin-default-settings (2020.12.16-1) unstable; urgency=medium

  * remove iwlwifi.conf.
  

 -- system-dev <system-dev@uniontech.com>  Wed, 16 Dec 2020 09:22:48 +0800

deepin-default-settings (2020.12.15-1) unstable; urgency=medium

  * update 11n_disable=8 -> 11n_disable=1.
   

 -- system-dev <system-dev@uniontech.com>  Tue, 15 Dec 2020 13:45:04 +0800

deepin-default-settings (2020.12.07-1) unstable; urgency=medium

  * update 11n_disable=1 -> 11n_disable=8.
  

 -- system-dev <system-dev@uniontech.com>  Mon, 07 Dec 2020 11:01:57 +0800

deepin-default-settings (2020.11.23-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- system-dev <system-dev@uniontech.com>  Mon, 23 Nov 2020 13:01:40 +0800

deepin-default-settings (2016~1) unstable; urgency=medium

  * remove never used qq short cut.
  * remove deepin xdg-user-dirs func.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 26 Jul 2016 14:29:26 +0800

deepin-default-settings (2015~8.4) unstable; urgency=medium

  * modify qq short cut.

 -- Deepin Packages Builder <packages@deepin.com>  Sun, 12 Jun 2016 14:31:27 +0800

deepin-default-settings (2015~8.3) unstable; urgency=medium

  * add qq message.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 13 Jan 2016 09:46:42 +0800

deepin-default-settings (2015~8.2) unstable; urgency=medium

  * remove old files.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 30 Dec 2015 15:26:37 +0800

deepin-default-settings (2015~8.1) unstable; urgency=medium

  * modify Templates .

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 10 Dec 2015 21:01:53 +0800

deepin-default-settings (2015~8) unstable; urgency=medium

  * modify Templates .

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 09 Dec 2015 19:25:33 +0800

deepin-default-settings (2015~7) unstable; urgency=medium

  * assign lang to en to avoid chrome fontconfig bug.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 09 Dec 2015 09:21:27 +0800

deepin-default-settings (2015~6) unstable; urgency=medium

  *  modify Templates.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 04 Dec 2015 20:38:07 +0800

deepin-default-settings (2015~5) unstable; urgency=medium

  * fix alpha1 sources.list to packages.deepin.com

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 26 Nov 2015 09:43:20 +0800

deepin-default-settings (2015~4) unstable; urgency=medium

  * remove deepin-default-gsettings from depends.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 03 Nov 2015 17:56:56 +0800

deepin-default-settings (2015~3) unstable; urgency=medium

  * change background to deepin-desktop-base.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 20 Oct 2015 10:43:30 +0800

deepin-default-settings (2015~2) unstable; urgency=medium

  * add postinst to remove newTxt.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 16 Sep 2015 16:25:16 +0800

deepin-default-settings (2015~1) unstable; urgency=medium

  * remove newTxt Template.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 16 Sep 2015 10:01:23 +0800

deepin-default-settings (2014~12-37~unstable) unstable; urgency=medium

  * add x-deb mimeapps.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 06 Jul 2015 10:15:58 +0800

deepin-default-settings (2014~12-36~unstable) unstable; urgency=medium

  * add mimeapps.list.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 18 May 2015 09:24:21 +0800

deepin-default-settings (2014~12-35~unstable) unstable; urgency=medium

  * remove mozilla.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 19 Jan 2015 15:30:11 +0800

deepin-default-settings (2014~12-35~trusty) trusty; urgency=medium

  * postinst: update default_background  when install|upgrade.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Wed, 31 Dec 2014 14:20:31 +0800

deepin-default-settings (2014~12-34~trusty) trusty; urgency=medium

  * add chrome default setting override.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Wed, 31 Dec 2014 09:10:23 +0800

deepin-default-settings (2014~12-33~trusty) trusty; urgency=medium

  * update dde-first-run.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Tue, 30 Dec 2014 13:23:33 +0800

deepin-default-settings (2014~12-32~trusty) trusty; urgency=medium

  * fix dde-first-run scripts.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Tue, 30 Dec 2014 13:08:07 +0800

deepin-default-settings (2014~12-31~trusty) trusty; urgency=medium

  * fix get_xdg_user.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Tue, 30 Dec 2014 09:56:31 +0800

deepin-default-settings (2014~12-30~trusty) trusty; urgency=medium

  * generate m3u file in every locale.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Mon, 29 Dec 2014 20:58:35 +0800

deepin-default-settings (2014~12-29~trusty) trusty; urgency=medium

  * add xft file.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Mon, 29 Dec 2014 17:58:04 +0800

deepin-default-settings (2014~12-28~trusty) trusty; urgency=medium

  * add write m3u file.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Mon, 29 Dec 2014 17:55:30 +0800

deepin-default-settings (2014~12-27~trusty) trusty; urgency=medium

  * add sample music link.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Mon, 29 Dec 2014 12:32:24 +0800

deepin-default-settings (2014~12-26~trusty) trusty; urgency=medium

  * add doc links in dde-first-run.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Mon, 29 Dec 2014 11:57:16 +0800

deepin-default-settings (2014~12-25~trusty) trusty; urgency=medium

  * add create qq shortcut function.

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Thu, 25 Dec 2014 10:27:55 +0800

deepin-default-settings (2014~03-45~trusty) trusty; urgency=medium



=== debian/rules ===
#! /usr/bin/make -f
ARCH := $(shell dpkg --print-architecture)
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
ifeq ($(ARCH), sw_64)
	-rm -rf $(CURDIR)/debian/tmp/usr/share/deepin-default-settings/google-chrome
endif

## deepin-default-settings 2021.12.16

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 	mkdir -p $(DESTDIR)/usr/share
 	mkdir -p $(DESTDIR)/etc/fonts/conf.d
 	mkdir -p $(DESTDIR)/etc/apt
+	mkdir -p $(DESTDIR)/usr/bin
 	cp -r etc.d/* $(DESTDIR)/etc/
 	cp -r usr.share.d/* $(DESTDIR)/usr/share
 	if [ $(ORIGIN) = true ]; then install -Dm444 sources.list.origin $(DESTDIR)/etc/apt/sources.list.origin; fi
-	install -Dm755 dde-first-run $(DESTDIR)/usr/bin/dde-first-run
+	install -Dm755 dde-first-run $(DESTDIR)/usr/libexec/dde-first-run
+	ln -s /usr/libexec/dde-first-run $(DESTDIR)/usr/bin/dde-first-run
 	install -Dm644 sysctl.d/90-deepin.conf $(DESTDIR)/usr/lib/sysctl.d/deepin.conf
 	install -Dm644 udev.rules.d/99-deepin.rules $(DESTDIR)/lib/udev/rules.d/99-deepin.rules
 	for i in `ls $(DESTDIR)/usr/share/fontconfig/conf.avail/ | grep .conf$$`;do \

=== debian/changelog ===
deepin-default-settings (2021.12.16-1) unstable; urgency=medium

  * update

 -- sysdev <sysdev@deepin.com>  Mon, 27 Dec 2021 20:53:04 +0800

deepin-default-settings (2021.04.13-1) unstable; urgency=medium

  * release 2021.03.13

 -- system-dev <system-dev@uniontech.com>  Tue, 13 Apr 2021 09:16:26 +0800

deepin-default-settings (2021.04.08-1) unstable; urgency=medium

  * release 2021.04.08

 -- system-dev <system-dev@uniontech.com>  Thu, 08 Apr 2021 15:55:07 +0800

deepin-default-settings (2020.12.17-1) unstable; urgency=medium

  * fix: Uniform introduction interface

 -- system-dev <system-dev@uniontech.com>  Thu, 17 Dec 2020 09:17:10 +0800

## deepin-default-settings 2023.04.04

=== debian/changelog ===
deepin-default-settings (2023.04.04-1) unstable; urgency=medium

  * update

 -- sysdev <sysdev@deepin.com>  Tue, 11 Apr 2023 11:05:20 +0800

=== debian/control ===
Source: deepin-default-settings
Section: admin
Priority: optional
Maintainer: sysdev <sysdev@deepin.com>
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 11),

Package: deepin-default-settings
Architecture: all
Depends:
 deepin-artwork,
 deepin-default-settings-tuning(>= 2018.1.23),
 deepin-wallpapers,
 iw,
 python3,
 ${misc:Depends},
Suggests:
 binfmt-support,
Conflicts:
 chrome-default-settings,
 deepin-default-settings-network,
 deepinop,
Replaces:
 deepin-default-settings-network,
 deepinop,
Description: default settings for deepin destkop environment
 This package does tweaking and to provide better experience of deepin desktop
 environment.

Package: deepin-default-settings-tuning
Architecture: all
Depends:
 ${misc:Depends},
Replaces:
 deepin-default-settings (<= 2018.1.23),
Description: default settings for deepin destkop environment - misc overrides
 This package does tweaking and to provide better experience of deepin desktop
 environment.
 .
 This package includes files to override cups default page and fcitx icon.

## deepin-default-settings 2024.08.13

=== debian/changelog ===
deepin-default-settings (2024.08.13) unstable; urgency=medium

  * Using postinst script to process browser icons

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 13 Aug 2024 11:19:48 +0800

deepin-default-settings (2024.08.08) unstable; urgency=medium

  * add /etc/skel/Desktop/  deepin-manual dde-computer deepin-home org.deepin.browser

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 08 Aug 2024 11:27:14 +0800

deepin-default-settings (2024.04.22) unstable; urgency=medium

  * Fix #8101

 -- Mike Chen <chenke@deepin.org>  Mon, 22 Apr 2024 10:43:17 +0800

deepin-default-settings (2024.04.08) unstable; urgency=medium

  * Change sysctl config priority
  * Add vm.max_map_count=262144

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 08 Apr 2024 19:44:21 +0800

deepin-default-settings (2024.03.26) unstable; urgency=medium

  * add item-arrangement skel config for dde-launchpad

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 26 Mar 2024 17:48:00 +0800

deepin-default-settings (2023.08.07) unstable; urgency=medium

  * remove panda related code.
  * fix sed logic on journald.conf.
    issue: https://github.com/linuxdeepin/developer-center/issues/5127
  * d/control: add python3-gi dependency for dde-fist-run.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 07 Aug 2023 10:20:08 +0800

deepin-default-settings (2023.05.12) unstable; urgency=medium

  * update fontconfig

 -- zsien <quezhiyong@deepin.org>  Fri, 12 May 2023 11:06:46 +0800

deepin-default-settings (2023.04.21) unstable; urgency=medium

  * fix: 新用户第一次登陆没有介绍视频

 -- dengbo <dengbo@uniontech.com>  Fri, 21 Apr 2023 14:23:38 +0800

deepin-default-settings (2022.10.19) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: delete /etc/gimp/2.0/fonts.conf(Task: 178103)(Influence: none)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 11:28:36 +0800

deepin-default-settings (2022.06.14) unstable; urgency=medium

  * release 2022.06.14

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:27:13 +0800

## deepin-default-settings 2024.11.25

=== debian/changelog ===
deepin-default-settings (2024.11.25) unstable; urgency=medium

  * update postinst.

 -- lichenggang <lichenggang@deepin.org>  Mon, 25 Nov 2024 09:55:51 +0800

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Section: admin
 Priority: optional
 Maintainer: sysdev <sysdev@deepin.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Build-Depends:
  debhelper-compat (= 11),
 
 Package: deepin-default-settings
 Architecture: all
 Depends:
- deepin-artwork,
- deepin-default-settings-tuning(>= 2018.1.23),
+ deepin-default-settings-tuning (>= 2018.1.23),
  deepin-wallpapers,
  iw,
  python3,
+ python3-gi,
  ${misc:Depends},
+Pre-Depends: 
+ deepin-home (>= 1.6.0),
+ coreutils,
 Suggests:
  binfmt-support,
 Conflicts:

## deepin-default-settings 2025.03.11

=== debian/changelog ===
deepin-default-settings (2025.03.11) unstable; urgency=medium

  * feat: add uab format.

 -- dengbo <dengbo@deepin.org>  Tue, 11 Mar 2025 14:05:36 +0800

deepin-default-settings (2025.02.24) unstable; urgency=medium

  * Update launchpad config to ensure fullscreen launcher fill all items
  * drop bt_coex_active=0 option for iwlwifi

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 24 Feb 2025 11:47:00 +0800

deepin-default-settings (2024.12.13) unstable; urgency=medium

  * update postinst.

 -- lichenggang <lichenggang@deepin.org>  Fri, 13 Dec 2024 10:38:33 +0800

deepin-default-settings (2024.12.12) unstable; urgency=medium

  * update postinst add _Generate_Icon_manual.

 -- lichenggang <lichenggang@deepin.org>  Thu, 12 Dec 2024 16:30:45 +0800

deepin-default-settings (2024.11.29) unstable; urgency=medium

  * Add welcome

 -- Chengqi E <echengqi@uniontech.com>  Fri, 29 Nov 2024 09:55:51 +0800

## deepin-default-settings 2025.04.07

=== debian/changelog ===
deepin-default-settings (2025.04.07) unstable; urgency=medium

  * increase inotify.max_user_instances to 1024

 -- lichenggang <lichenggang@deepin.org>  Mon, 07 Apr 2025 14:14:04 +0800

## deepin-default-settings 2025.06.17

=== Makefile ===
all: 

install:
	mkdir -p $(DESTDIR)/usr/share
	mkdir -p $(DESTDIR)/etc/fonts/conf.d
	mkdir -p $(DESTDIR)/usr/bin
	cp -r etc.d/* $(DESTDIR)/etc/
	cp -r usr.share.d/* $(DESTDIR)/usr/share
	install -Dm755 dde-first-run $(DESTDIR)/usr/libexec/dde-first-run
	ln -s /usr/libexec/dde-first-run $(DESTDIR)/usr/bin/dde-first-run
	install -Dm644 sysctl.d/00-deepin.conf $(DESTDIR)/usr/lib/sysctl.d/00-deepin.conf
	install -Dm644 udev.rules.d/99-deepin.rules $(DESTDIR)/lib/udev/rules.d/99-deepin.rules
	for i in `ls $(DESTDIR)/usr/share/fontconfig/conf.avail/ | grep .conf$$`;do \
		ln -sf /usr/share/fontconfig/conf.avail/$${i} $(DESTDIR)/etc/fonts/conf.d/$${i}; \
	done

=== debian/changelog ===
deepin-default-settings (2025.06.17) unstable; urgency=medium

  * adjust default shortcuts on desktop.

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 17 Jun 2025 14:21:00 +0800

deepin-default-settings (2025.06.11) unstable; urgency=medium

  * deepin-manual deb to linglong.

 -- lichenggang <lichenggang@deepin.org>  Wed, 11 Jun 2025 14:05:27 +0800

deepin-default-settings (2025.05.09) unstable; urgency=medium

  * refactor dde-first-run and add fcixt5-theme config.

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 09 May 2025 13:11:26 +0800
